Bug 1312613 - Graphics on Dell XPS 15 (9550) --- nomodeset Not Specified --- doesn't boot/doesn't show screen content. [NEEDINFO]
Graphics on Dell XPS 15 (9550) --- nomodeset Not Specified --- doesn't boot/d...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-27 19:03 EST by John Loring
Modified: 2016-10-26 12:40 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:40:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (vftx2z)


Attachments (Terms of Use)
dmesg output from dell laptop, to troubleshoot system when nomodeset, etc., not specified. (64.70 KB, text/plain)
2016-02-27 19:03 EST, John Loring
no flags Details

  None (edit)
Description John Loring 2016-02-27 19:03:53 EST
Created attachment 1131175 [details]
dmesg output from dell laptop, to troubleshoot system when nomodeset, etc., not specified.

Description of problem:

Problem brought on by display darken/brighten buttons not working. Troubleshooting reveals that when nomodeset, rhgb, and quiet is not specified while booting up, the display does not show screen content when booted up, or the computer just doesn't boot up.

Version-Release number of selected component (if applicable):
kernel version 4.3.5-300 (Fedora 23 64 bit).

How reproducible:
From grub menu, select 'e' to edit kernel parameters for specified kernel. In editing, remove "nomodeset", "rhgb", and "quiet" from kernel parameters. Press Ctrl-x to boot from this screen.

Steps to Reproduce:
1. See paragraph above.
2.
3.

Actual results:
When Ctrl-x is pressed after "nomodeset", etc., is removed, screen goes blank, and then a run of what looks like dmesg shows up on the screen, and then screen goes blank again, and it basically stays there in that condition.

Expected results:
I am expecting it to boot up or show content because I have installed Bumblebee.

Additional info:
Comment 1 Laura Abbott 2016-09-23 15:19:07 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 2 Laura Abbott 2016-10-26 12:40:32 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.